# Luke's extended testsuite for (not)systemd

## Usage

    $ ./runtests GITREV=<git_commit_id_or_tag_or_branch_or_whatever>

It will use `sudo` to run the `./osi-mount` command.  You may wish to
configure that command specially in `/etc/sudoers`.

## Dependencies

The tests run in QEMU virtual machines (running Parabola
GNU/Linux-libre), so you won't need to install too much on the host
system.  I believe the complete list of dependencies is (along with
what I believe is the newest feature that is depended on):

 - arch-install-scripts
 - btrfs-progs
 - gitget <https://git.parabola.nu/packages/libretools.git/tree/src/gitget>
 - GNU Bash 4.4 (needs `@Q`)
 - GNU Make
 - GNU coretutils 8.15 (needs `realpath`)
 - GNU gettext
 - QEMU (needs `qemu-system-x86_64`)
 - Ruby
 - sudo
 - util-linux-ng 2.18 (needs automatic loop devices in `mount`)

## Developing

You can lint the code in this repository by running `make lint`, which
requires the `shellcheck` command.
